<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.

  $demo    = get_option( 'rat_demo_mode', false );
  $text    = ( ! empty( $demo ) ) ? 'Deactivate' : 'Activate';
  $status  = ( ! empty( $demo ) ) ? 'deactivate' : 'activate';
  $class   = ( ! empty( $demo ) ) ? ' rat-warning-primary' : '';
  $section = ( ! empty( $_GET[ 'section' ] ) ) ? sanitize_text_field( wp_unslash( $_GET[ 'section' ] ) ) : 'about';
  $links   = array(
    'about'           => 'About',
    'quickstart'      => 'Quick Start',
    'documentation'   => 'Documentation',
    'free-vs-premium' => 'Free vs Premium',
    'support'         => 'Support',
    'relnotes'        => 'Release Notes',
  );

?>
<div class="rat-welcome rat-welcome-wrap">

  <h1>Welcome to Rat Framework v<?php echo esc_attr( RAT::$version ); ?></h1>

  <p class="rat-about-text">A Simple and Lightweight WordPress Option Framework for Themes and Plugins</p>

  <p class="rat-demo-button"><a href="<?php echo esc_url( add_query_arg( array( 'rat-demo' => $status ) ) ); ?>" class="button button-primary<?php echo esc_attr( $class ); ?>"><?php echo esc_attr( $text ); ?> Demo</a></p>

  <div class="rat-logo">
    <div class="rat--effects"><i></i><i></i><i></i><i></i></div>
    <div class="rat--wp-logos">
      <div class="rat--wp-logo"></div>
      <div class="rat--wp-plugin-logo"></div>
    </div>
    <div class="rat--text">Rat Framework</div>
    <div class="rat--text rat--version">v<?php echo esc_attr( RAT::$version ); ?></div>
  </div>

  <h2 class="nav-tab-wrapper wp-clearfix">
    <?php

      foreach ( $links as $key => $link ) {

        if ( RAT::$premium && $key === 'free-vs-premium' ) { continue; }

        $activate = ( $section === $key ) ? ' nav-tab-active' : '';

        echo '<a href="'. esc_url( add_query_arg( array( 'page' => 'rat-welcome', 'section' => $key ), admin_url( 'tools.php' ) ) ) .'" class="nav-tab'. esc_attr( $activate ) .'">'. esc_attr( $link ) .'</a>';

      }

    ?>
  </h2>
